<div id="intro" class="bg-image shadow-2-strong">
    <div class=" container  pt-3">
        <div class="box">
            <form [formGroup] = "createRecipe" class="ui form">
       <!--   <form [formGroup] = "createRecipe" (ngSubmit)="submitRecipe()" class="ui form"> -->
                <h4 class="ui dividing header">Recipe Information</h4>
                <div class="field">
                    <label>Recipe name</label>
                    <div class="two fields">
                        <div class="ten wide field">
                            <input formControlName = "name" type="text" placeholder="Pancakes">
                        </div>
                        <div class="field ui large buttons">
                            <button (click) = "onRecipeDifficulty('easy')"  class="ui button" style="width: 100px;"><i class="cog icon"></i>Easy</button>
                            <div class="or"></div>
                            <button (click) = "onRecipeDifficulty('more effort')" class="ui button" style="width: 100px;"><i class="cogs icon"></i>More effort</button>
                        </div>
                    </div>
                </div>


  <!--          <div class="field">
                    <label>Image Url</label>
                    <input type="text" name="shipping[address]" placeholder="https://preppykitchen.com/wp-content/uploads/2019/08/Pancakes-recipe-1200.jpg">
                </div> -->
                <div class="form-group">
                  <div class="field">

                    <label>Choose image</label>
                    <input type="file" formControlName="image_url" (change)= "onChangeFile($event)" placeholder="Upload image">
                  </div>
                </div>


                <div class="three fields">
                    <div class="field">
                        <label>Category</label>
                        <select formControlName = "category" multiple class="ui fluid dropdown">
                            <option value ="" disabled>Select category</option>
                            <option *ngFor="let category of categories" [ngValue]="category" (change)= "changeCategory($event)">{{category}}</option>
                        </select>
                    </div>
                    <div class="field">
                        <label>Meal</label>
                        <select formControlName = "meal" class="ui fluid dropdown">
                            <option value ="" disabled>Select meal type</option>
                            <option *ngFor="let meal of mealTypes" [ngValue]="meal" (change)= "changeMeal($event)">{{meal}}</option>
                        </select>
                    </div>
                    <div class="field">
                        <label>Preperation time in minutes</label>
                        <input formControlName = "minutes" class="three wide field" id='time-input' type="number" placeholder="20" min="1" max="999">
                    </div>
                </div>
                <div class="four fields">
                    <div class="field">
                        <label>Kcal</label>
                        <input formControlName = "kcal" type="number" id="kcal-input" placeholder="20" min="1" max="999">
                    </div>
                    <div class="field">
                        <label>Proteins</label>
                        <input formControlName = "proteins" type="number" id="protein-input" placeholder="20" min="1" max="999">
                    </div>
                    <div class="field">
                        <label>Carbs</label>
                        <input formControlName = "carbs" type="number" id="carbs-input" placeholder="20" min="1" max="999">
                    </div>
                    <div class="field">
                        <label>Fats</label>
                        <input formControlName = "fats" type="number" id="fats-input" placeholder="20" min="1" max="999">
                    </div>
                </div>
                <h4 class="ui dividing header">Description</h4>
                 <div class="field">
                    <label>Ingredients</label>
                    <div class="ingredients_wrap">
                        <div class="fields">
                            <div class="fifteen wide field"><input type="text" placeholder="2 cups of milk"></div>
                            <button class="ui icon button add_ingredient one wide field"><i class="plus icon"></i></button>
                        </div>
                    </div>
                </div>
                <div class="field">
                    <label>Instructions</label>
                    <div class="instructions_wrap">
                        <div class="fields">
                            <div class="fifteen wide field"><textarea formControlName = "instructions" rows="5" placeholder="Pour milk..."></textarea></div>
                            <button class="ui icon button add_instruction one wide field" style="height: 38px;"><i class="plus icon"></i></button>
                        </div>
                    </div>
                </div>
              <button class="ui button" (click) = "submitRecipe()" >Submit recipe</button>
             <!--   <button class="ui button" type="submit">Submit recipe</button> -->

            </form>
        </div>
    </div>
</div>
